io.vertx.ext.web.openapi

## Enum ErrorType

- java.lang.Object
- - java.lang.Enum<ErrorType>
  - - io.vertx.ext.web.openapi.ErrorType

- All Implemented Interfaces:
    Serializable, Comparable<ErrorType>

      public enum ErrorType
      extends Enum<ErrorType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CANNOT_GENERATE_VALIDATION_HANDLER` Error while generating the `ValidationHandler`
    `INVALID_FILE` Error while loading contract.
    `INVALID_SPEC` Provided file is not a valid OpenAPI contract
    `MISSING_SECURITY_HANDLER` Missing security handler during construction of router
    `OPERATION_ID_NOT_FOUND` You are trying to mount an operation with operation_id not defined in specification
    `UNSUPPORTED_SPEC` You are trying to use a spec feature not supported by this package.
    `WRONG_INTERFACE` You specified an interface not annotated with `WebApiServiceGen` while calling `RouterBuilder.mountServiceInterface(Class, String)`
    `WRONG_SERVICE_EXTENSION` You specified a wrong service extension

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ErrorType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ErrorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OPERATION_ID_NOT_FOUND

          public static final ErrorType OPERATION_ID_NOT_FOUND

      You are trying to mount an operation with operation_id not defined in specification

    - #### INVALID_FILE

          public static final ErrorType INVALID_FILE

      Error while loading contract. The path is wrong or the spec is an invalid json/yaml file

    - #### INVALID_SPEC

          public static final ErrorType INVALID_SPEC

      Provided file is not a valid OpenAPI contract

    - #### MISSING_SECURITY_HANDLER

          public static final ErrorType MISSING_SECURITY_HANDLER

      Missing security handler during construction of router

    - #### UNSUPPORTED_SPEC

          public static final ErrorType UNSUPPORTED_SPEC

      You are trying to use a spec feature not supported by this package. Most likely you you have defined in you contract two or more path parameters with a combination of parameters/name/styles/explode not supported

    - #### WRONG_INTERFACE

          public static final ErrorType WRONG_INTERFACE

      You specified an interface not annotated with `WebApiServiceGen` while calling `RouterBuilder.mountServiceInterface(Class, String)`

    - #### WRONG_SERVICE_EXTENSION

          public static final ErrorType WRONG_SERVICE_EXTENSION

      You specified a wrong service extension

    - #### CANNOT_GENERATE_VALIDATION_HANDLER

          public static final ErrorType CANNOT_GENERATE_VALIDATION_HANDLER

      Error while generating the `ValidationHandler`

  - ### Method Detail

    - #### values

          public static ErrorType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ErrorType c : ErrorType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ErrorType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2023 Eclipse. All rights reserved.